librime: utf8::unchecked Namespace Reference

| librime 1.2 Rime Input Method Engine, the core library

Classes | Functions
utf8::unchecked Namespace Reference

## Classes
class | iterator

## Functions
template<typename octet_iterator>
octet_iterator | append (uint32_t cp, octet_iterator result)
template<typename octet_iterator, typename output_iterator>
output_iterator | replace_invalid (octet_iterator start, octet_iterator end, output_iterator out, uint32_t replacement)
template<typename octet_iterator, typename output_iterator>
output_iterator | replace_invalid (octet_iterator start, octet_iterator end, output_iterator out)
template<typename octet_iterator>
uint32_t | next (octet_iterator &it)
template<typename octet_iterator>
uint32_t | peek_next (octet_iterator it)
template<typename octet_iterator>
uint32_t | prior (octet_iterator &it)
template<typename octet_iterator, typename distance_type>
void | advance (octet_iterator &it, distance_type n)
template<typename octet_iterator>
std::iterator_traits< octet_iterator >::difference_type | distance (octet_iterator first, octet_iterator last)
template<typename u16bit_iterator, typename octet_iterator>
octet_iterator | utf16to8 (u16bit_iterator start, u16bit_iterator end, octet_iterator result)
template<typename u16bit_iterator, typename octet_iterator>
u16bit_iterator | utf8to16 (octet_iterator start, octet_iterator end, u16bit_iterator result)
template<typename octet_iterator, typename u32bit_iterator>
octet_iterator | utf32to8 (u32bit_iterator start, u32bit_iterator end, octet_iterator result)
template<typename octet_iterator, typename u32bit_iterator>
u32bit_iterator | utf8to32 (octet_iterator start, octet_iterator end, u32bit_iterator result)

## Function Documentation

## ◆ advance()

template<typename octet_iterator, typename distance_type>

void utf8::unchecked::advance | ( | octet_iterator & | it,
|  | distance_type | n )

## ◆ append()

template<typename octet_iterator>

octet_iterator utf8::unchecked::append | ( | uint32_t | cp,
|  | octet_iterator | result )

## ◆ distance()

template<typename octet_iterator>

std::iterator_traits< octet_iterator >::difference_type utf8::unchecked::distance | ( | octet_iterator | first,
|  | octet_iterator | last )

## ◆ next()

template<typename octet_iterator>

uint32_t utf8::unchecked::next | ( | octet_iterator & | it | ) |

## ◆ peek_next()

template<typename octet_iterator>

uint32_t utf8::unchecked::peek_next | ( | octet_iterator | it | ) |

## ◆ prior()

template<typename octet_iterator>

uint32_t utf8::unchecked::prior | ( | octet_iterator & | it | ) |

## ◆ replace_invalid() [1/2]

template<typename octet_iterator, typename output_iterator>

output_iterator utf8::unchecked::replace_invalid | ( | octet_iterator | start,
|  | octet_iterator | end,
|  | output_iterator | out )
| inline

## ◆ replace_invalid() [2/2]

template<typename octet_iterator, typename output_iterator>

output_iterator utf8::unchecked::replace_invalid | ( | octet_iterator | start,
|  | octet_iterator | end,
|  | output_iterator | out,
|  | uint32_t | replacement )

## ◆ utf16to8()

template<typename u16bit_iterator, typename octet_iterator>

octet_iterator utf8::unchecked::utf16to8 | ( | u16bit_iterator | start,
|  | u16bit_iterator | end,
|  | octet_iterator | result )

## ◆ utf32to8()

template<typename octet_iterator, typename u32bit_iterator>

octet_iterator utf8::unchecked::utf32to8 | ( | u32bit_iterator | start,
|  | u32bit_iterator | end,
|  | octet_iterator | result )

## ◆ utf8to16()

template<typename u16bit_iterator, typename octet_iterator>

u16bit_iterator utf8::unchecked::utf8to16 | ( | octet_iterator | start,
|  | octet_iterator | end,
|  | u16bit_iterator | result )

## ◆ utf8to32()

template<typename octet_iterator, typename u32bit_iterator>

u32bit_iterator utf8::unchecked::utf8to32 | ( | octet_iterator | start,
|  | octet_iterator | end,
|  | u32bit_iterator | result )